summaryrefslogtreecommitdiff
path: root/tools/release.sh
diff options
context:
space:
mode:
authorEvan Lucas <evanlucas@me.com>2016-09-28 05:59:08 -0500
committerJames M Snell <jasnell@gmail.com>2016-10-20 09:57:43 -0700
commit6845d6e3189cb6f7d2c847ab34a4f5b2eaf7a77f (patch)
treea085bf2e13a0a12401d8215842f3b7174229462b /tools/release.sh
parent8f8f0313f412c916ed1043bfb90e188f10b597d6 (diff)
downloadandroid-node-v8-6845d6e3189cb6f7d2c847ab34a4f5b2eaf7a77f.tar.gz
android-node-v8-6845d6e3189cb6f7d2c847ab34a4f5b2eaf7a77f.tar.bz2
android-node-v8-6845d6e3189cb6f7d2c847ab34a4f5b2eaf7a77f.zip
tools: fix release script on macOS 10.12
Previously, we were relying on the output of gpg from git tag -v to verify that the key selected by the releaser is the key that was used to sign the tag. This output can change depending on the version of git being used. Now, we just check that the output of git tag -v contains the key selected. Fixes: https://github.com/nodejs/node/issues/8822 PR-URL: https://github.com/nodejs/node/pull/8824 Reviewed-By: James M Snell <jasnell@gmail.com> Reviewed-By: Rod Vagg <rod@vagg.org>
Diffstat (limited to 'tools/release.sh')
-rwxr-xr-xtools/release.sh11
1 files changed, 2 insertions, 9 deletions
diff --git a/tools/release.sh b/tools/release.sh
index 23b05b4fe8..397d3d466d 100755
--- a/tools/release.sh
+++ b/tools/release.sh
@@ -69,15 +69,8 @@ function sign {
local version=$1
- gpgtagkey=$(git tag -v $version 2>&1 | grep 'key ID' | awk '{print $NF}')
-
- if [ "X${gpgtagkey}" == "X" ]; then
- echo "Could not find signed tag for \"${version}\""
- exit 1
- fi
-
- if [ "${gpgtagkey}" != "${gpgkey}" ]; then
- echo "GPG key for \"${version}\" tag is not yours, cannot sign"
+ if ! git tag -v $version 2>&1 | grep "${gpgkey}" | grep key > /dev/null; then
+ echo "Could not find signed tag for \"${version}\" or GPG key is not yours"
exit 1
fi